#include <bits/stdc++.h>

using namespace std;

pair<int, int> findXOR(long long a, long long b) {
    for (int i = 1; i <= sqrt(a); ++i) {
        if (a % i == 0 && ((a / i) ^ i) == b) {
            return make_pair(a / i, i);
        }
    }

    return make_pair(-1, -1);
}

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(NULL);

    int t;
    pair<int, int> res;
    long long a, b;

    cin >> t;

    while (t--) {
        cin >> a >> b;
        res = findXOR(a, b);

        if (res.first == -1) {
            cout << -1 << "\n";
        } else {
            cout << res.first << " " << res.second;
        }
    }
}